Last Comment Bug 733138 - crash [@ java.lang.StringIndexOutOfBoundsException: at java.lang.String.substring(String.java) ]
: crash [@ java.lang.StringIndexOutOfBoundsException: at java.lang.String.subst...
Status: RESOLVED FIXED
[native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: 12 Branch
: ARM Android
: P4 critical (vote)
: Firefox 16
Assigned To: Chris Peterson [:cpeterson]
:
: Jim Chen [:jchen] [:darchons]
Mentors:
Depends on: 765831
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 14:03 PST by Naoki Hirata :nhirata (please use needinfo instead of cc)
Modified: 2012-06-20 10:39 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
fixed
-


Attachments

Description Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-03-05 14:03:23 PST
This bug was filed from the Socorro interface and is 
report bp-6916983f-497e-48a0-af08-6c2182120229 .
============================================================= 
java.lang.StringIndexOutOfBoundsException
	at java.lang.String.substring(String.java:1651)
	at org.mozilla.gecko.GeckoInputConnection.performContextMenuAction(GeckoInputConnection.java:174)
	at com.android.internal.view.IInputConnectionWrapper.executeMessage(IInputConnectionWrapper.java:310)
	at com.android.internal.view.IInputConnectionWrapper$MyHandler.handleMessage(IInputConnectionWrapper.java:79)
	at android.os.Handler.dispatchMessage(Handler.java:99)
	at android.os.Looper.loop(Looper.java:130)
	at org.mozilla.gecko.GeckoApp$32.run(GeckoApp.java:1777)
	at android.os.Handler.handleCallback(Handler.java:587)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:130)
	at android.app.ActivityThread.main(ActivityThread.java:3691)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:507)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:912)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:670)
	at dalvik.system.NativeStart.main(Native Method)


Only one crash : 
https://crash-stats.mozilla.com/report/list?product=FennecAndroid&query_search=signature&query_type=contains&query=java.lang.StringIndexOutOfBoundsException%3A%20at%20java.lang.String.substring%28String.java%29&reason_type=contains&date=03%2F05%2F2012%2022%3A02%3A31&range_value=30&range_unit=days&hang_type=any&process_type=any&do_query=1&signature=java.lang.StringIndexOutOfBoundsException%3A%20at%20java.lang.String.substring%28String.java%29
Comment 1 Chris Peterson [:cpeterson] 2012-06-13 13:51:04 PDT
I believe this crash was fixed by bug 734156.
Comment 2 Scoobidiver (away) 2012-06-13 23:19:39 PDT
(In reply to Chris Peterson (:cpeterson) from comment #1)
> I believe this crash was fixed by bug 734156.
Bug 734156 landed on March 10 while there are crashes up to 14.0a2/20120607 and 14.0b6.
Comment 3 Chris Peterson [:cpeterson] 2012-06-20 10:39:34 PDT
My fix for bug 765831 (part-1-extract-Span-class.patch) should fix this String.substring() exception.

Note You need to log in before you can comment on or make changes to this bug.